"""empty message

Revision ID: c8ac577ed338
Revises: 49952fde9c90
Create Date: 2021-04-06 18:08:10.574456

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'c8ac577ed338'
down_revision = '49952fde9c90'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('subscriptions_plans',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('plan_id', sa.String(length=30), nullable=False),
    sa.Column('subscription_id', sa.Integer(), nullable=False),
    sa.Column('starting_effective_date', sa.TIMESTAMP(timezone=True), nullable=False),
    sa.Column('ending_effective_date', sa.TIMESTAMP(timezone=True), nullable=True),
    sa.Column('created_at', sa.TIMESTAMP(timezone=True), nullable=True),
    sa.ForeignKeyConstraint(['plan_id'], ['plans.id'], ),
    sa.ForeignKeyConstraint(['subscription_id'], ['subscriptions.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.add_column('subscriptions', sa.Column('activation_date', sa.TIMESTAMP(timezone=True), nullable=True))
    op.add_column('subscriptions', sa.Column('expiry_date', sa.TIMESTAMP(timezone=True), nullable=True))
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('subscriptions', 'expiry_date')
    op.drop_column('subscriptions', 'activation_date')
    op.alter_column('data_usages', 'to_date',
               existing_type=sa.TIMESTAMP(timezone=True),
               type_=sa.TIMESTAMP(),
               existing_nullable=True)
    op.alter_column('data_usages', 'from_date',
               existing_type=sa.TIMESTAMP(timezone=True),
               type_=sa.TIMESTAMP(),
               existing_nullable=True)
    op.alter_column('billing_cycles', 'start_date',
               existing_type=sa.TIMESTAMP(timezone=True),
               type_=sa.TIMESTAMP(),
               existing_nullable=True)
    op.alter_column('billing_cycles', 'end_date',
               existing_type=sa.TIMESTAMP(timezone=True),
               type_=sa.TIMESTAMP(),
               existing_nullable=True)
    op.drop_table('subscriptions_plans')
    # ### end Alembic commands ###
